taffybar-4.0.1: A desktop bar similar to xmobar, but with more GUI

Safe Haskell | Safe-Inferred
Language | Haskell2010

System.Taffybar.Widget.Generic.DynamicMenu

# Documentation

data DynamicMenuConfig Source #

Constructors

DynamicMenuConfig |

Fields

- dmClickWidget :: Widget
- dmPopulateMenu :: Menu -> IO ()

dynamicMenuNew :: MonadIO m => DynamicMenuConfig -> m Widget Source #

emptyMenu :: (IsContainer a, MonadIO m) => a -> m () Source #